TLSHandler Class Referenceabstract

`#include <tlshandler.h>`

Inheritance diagram for TLSHandler:
[legend]

## Public Member Functions

virtual | ~TLSHandler ()
virtual void | handleEncryptedData (const TLSBase *base, const std::string &data)=0
virtual void | handleDecryptedData (const TLSBase *base, const std::string &data)=0
virtual void | handleHandshakeResult (const TLSBase *base, bool success, CertInfo &certinfo)=0

## Detailed Description

An interface that allows for interacting with TLS implementations derived from TLSBase.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  0.9

Definition at line 34 of file tlshandler.h.

## Constructor & Destructor Documentation

## ~TLSHandler()

virtual ~TLSHandler | ( |  | ) |

inline virtual

Virtual Destructor.

Definition at line 40 of file tlshandler.h.

## Member Function Documentation

## handleDecryptedData()

virtual void handleDecryptedData | ( | const TLSBase * | base,
|  | const std::string & | data )

pure virtual

Reimplement this function to receive decrypted data from a TLSBase implementation.

Parameters

  base | The encryption implementation which called this function.
  data | The decrypted data (e.g. to parse).

Implemented in ClientBase, and ConnectionTLS.

## handleEncryptedData()

virtual void handleEncryptedData | ( | const TLSBase * | base,
|  | const std::string & | data )

pure virtual

Reimplement this function to receive encrypted data from a TLSBase implementation.

Parameters

  base | The encryption implementation which called this function.
  data | The encrypted data (e.g. to send over the wire).

Implemented in ClientBase, and ConnectionTLS.

## handleHandshakeResult()

virtual void handleHandshakeResult | ( | const TLSBase * | base,
|  | bool | success,
|  | CertInfo & | certinfo )

pure virtual

Reimplement this function to receive the result of a TLS handshake.

Parameters

  base | The encryption implementation which called this function.
  success | Whether or not the handshake was successful.
  certinfo | Information about the server's certificate.

Implemented in ClientBase, and ConnectionTLS.

The documentation for this class was generated from the following file:

- tlshandler.h